Default action when deleting an account should be "Cancel"

RESOLVED FIXED in 0.2b1

Status

--
trivial
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: romain, Assigned: romain)

Tracking

trunk
0.2b1

Details

Attachments

(1 attachment)

(Assignee)

Description

5 years ago
*** Original post on bio 203 at 2009-07-30 14:01:00 UTC ***

When trying to delete an account, the selected button is "Delete".
To prevent an error from user and be consistent with the confirm dialog that appears on Quit (with Unread messages), I suggest to put the "Cancel" button as default.

This bug can also be part of the Meta bug concerning the Account Manager.
(Assignee)

Updated

5 years ago
Blocks: 953623
(Assignee)

Comment 1

5 years ago
Created attachment 8351892 [details] [diff] [review]
Patch

*** Original post on bio 203 as attmnt 148 at 2009-07-30 21:44:00 UTC ***

Simple patch ... nothing more to explain here.
Attachment #8351892 - Flags: review?(florian)
(Assignee)

Updated

5 years ago
Assignee: nobody → romain
Status: NEW → ASSIGNED
Comment on attachment 8351892 [details] [diff] [review]
Patch

*** Original change on bio 203 attmnt 148 at 2009-07-31 22:45:00 UTC ***

I'm not sure if the delete account feature is currently likely to be mistakenly triggered from a keyboard action that would cause the next key to confirm it, but I guess this can happen in the future so I'm ok with taking this just to be safe.
Attachment #8351892 - Flags: review?(florian) → review+
*** Original post on bio 203 at 2009-08-02 21:51:41 UTC ***

https://hg.instantbird.org/instantbird/rev/189f2f22fc32
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: 0.2 → 0.2b1
You need to log in before you can comment on or make changes to this bug.